## kmetronome 1.3.0

=== CMakeLists.txt ===
# Drumstick Metronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.14)

project ( kmetronome
    VERSION 1.3.0
    LANGUAGES CXX
    DESCRIPTION "ALSA Sequencer based MIDI metronome"
    HOMEPAGE_URL "https://kmetronome.sourceforge.io"
)

set(PROJECT_RELEASE_DATE "December 12, 2021")
option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
include(SCMRevision)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED Yes)

if (USE_QT)
    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
    endif()
endif()

if (USE_QT EQUAL 5)
    find_package(QT NAMES Qt5)
elseif (USE_QT EQUAL 6)
    find_package(QT NAMES Qt6)
else()
    find_package(QT NAMES Qt5 Qt6)
endif()
if(QT_FOUND)
    message(STATUS "Found Qt version: ${QT_VERSION}")
endif()

find_package(Qt${QT_VERSION_MAJOR} 5.12 COMPONENTS Gui Widgets DBus Svg LinguistTools REQUIRED)
if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
    find_package(Qt6 COMPONENTS Core5Compat SvgWidgets REQUIRED)
endif()

find_package(Drumstick 2.0 COMPONENTS ALSA REQUIRED)
if(Drumstick_FOUND)
    message(STATUS "Found Drumstick version: ${Drumstick_VERSION}")
endif()

message (STATUS "${PROJECT_NAME} v${PROJECT_VERSION}
    install prefix: ${CMAKE_INSTALL_PREFIX}
    Build configuration: ${CMAKE_BUILD_TYPE}
    Processor: ${CMAKE_SYSTEM_PROCESSOR}
    Qt: ${QT_VERSION}
    Drumstick: ${Drumstick_VERSION}
    Embed translations: ${EMBED_TRANSLATIONS}
    Build docs: ${BUILD_DOCS}")

include(GNUInstallDirs)

if(CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "AppleClang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant -Wsuggest-override")
endif()

add_subdirectory(icons)
if(NOT EMBED_TRANSLATIONS)
    add_subdirectory(translations)
endif()
add_subdirectory(doc)
add_subdirectory(data)
add_subdirectory(src)

include(DBusMacros)
dbus_add_activation_service(net.sourceforge.kmetronome.service.in)

configure_file("${CMAKE_SOURCE_DIR}/kmetronome.spec.in"
    "${CMAKE_SOURCE_DIR}/kmetronome.spec"
    IMMEDIATE @ONLY)

configure_file(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_custom_target ( tarball
    COMMAND mkdir -p kmetronome-${PROJECT_VERSION}
    COMMAND cp -r cmake_admin kmetronome-${PROJECT_VERSION}
    COMMAND cp -r data kmetronome-${PROJECT_VERSION}
    COMMAND cp -r doc kmetronome-${PROJECT_VERSION}
    COMMAND cp -r icons kmetronome-${PROJECT_VERSION}
    COMMAND cp -r translations kmetronome-${PROJECT_VERSION}
    COMMAND cp -r src kmetronome-${PROJECT_VERSION}
    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* lconvert.pri COPYING INSTALL kmetronome.{lsm,pro,spec,spec.in} net.sourceforge.kmetronome.{desktop,service.in,appdata.xml} NEWS readme.md TODO kmetronome-${PROJECT_VERSION}
    COMMAND tar -cj -f kmetronome-${PROJECT_VERSION}.tar.bz2 kmetronome-${PROJECT_VERSION}
    COMMAND tar -cz -f kmetronome-${PROJECT_VERSION}.tar.gz kmetronome-${PROJECT_VERSION}
    COMMAND rm -rf kmetronome-${PROJECT_VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

install( FILES net.sourceforge.kmetronome.desktop
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications )

install( FILES net.sourceforge.kmetronome.appdata.xml
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo )

=== doc/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

set(MANPAGE ${PROJECT_NAME}.1)
include(PandocMacros)
if (BUILD_DOCS)
    if (UNIX AND NOT APPLE)
        add_manpage(${MANPAGE})
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE}
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    endif()
    update_helpfiles(cs de en es fr tr)
else()
    if (UNIX AND NOT APPLE)
        install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${MANPAGE}
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    endif()
    foreach(_lang IN ITEMS cs de en es fr tr)
        install( FILES "${_lang}/index.html"
                 DESTINATION ${CMAKE_INSTALL_DOCDIR}/${PROJECT_NAME}/${_lang} )
    endforeach()
endif()

=== src/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(EMBED_TRANSLATIONS)
    set( TRANSLATIONS
         ../translations/kmetronome_cs.ts
         ../translations/kmetronome_de.ts
         ../translations/kmetronome_es.ts
         ../translations/kmetronome_fr.ts
         ../translations/kmetronome_tr.ts
    )
    if (QT_VERSION VERSION_LESS 5.15.0)
        qt5_add_translation(QM_FILES ${TRANSLATIONS})
    else()
        qt_add_translation(QM_FILES ${TRANSLATIONS})
    endif()
    include(TranslationUtils)
    add_app_translations_resource(APP_RES ${QM_FILES})
    add_qt_translations_resource(QT_RES cs de es fr tr)
endif()

set(kmetronome_SRCS
    about.h
    drumgrid.h
    drumgridmodel.h
    iconutils.h
    kmetronome.h
    kmetropreferences.h
    lcdnumberview.h
    sequenceradapter.h
    defs.h
    instrument.h
    helpwindow.h
    about.cpp
    drumgrid.cpp
    drumgridmodel.cpp
    iconutils.cpp
    instrument.cpp
    kmetronome.cpp
    kmetropreferences.cpp
    lcdnumberview.cpp
    main.cpp
    sequenceradapter.cpp
    helpwindow.cpp
    about.ui
    drumgrid.ui
    kmetronome.ui
    kmetropreferencesbase.ui
    kmetronome.qrc
    lcdnumbers.qrc
    ../data/datafiles.qrc
    ../doc/docs.qrc
    ${APP_RES}
    ${QT_RES}
)

if (QT_VERSION VERSION_LESS 5.15.0)
    qt5_add_dbus_adaptor( kmetronome_SRCS
        net.sourceforge.kmetronome.xml
        kmetronome.h
        KMetronome
        kmetronome_adaptor
    )
else()
    qt_add_dbus_adaptor( kmetronome_SRCS
        net.sourceforge.kmetronome.xml
        kmetronome.h
        KMetronome
        kmetronome_adaptor
    )
endif()

set_property(SOURCE kmetronome_adaptor.h kmetronome_adaptor.cpp
    PROPERTY SKIP_AUTOGEN ON)

add_executable( kmetronome ${kmetronome_SRCS} )
if (BUILD_DOCS)
    add_dependencies ( kmetronome update_helpfiles )
endif()

target_link_libraries( kmetronome
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Svg
    Drumstick::ALSA
)

if (QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
    target_link_libraries( kmetronome
        Qt6::Gui
        Qt6::SvgWidgets
        Qt6::Core5Compat
     )
endif()

target_compile_definitions( kmetronome PRIVATE
    VERSION=${PROJECT_VERSION}
    $<$<BOOL:${EMBED_TRANSLATIONS}>:TRANSLATIONS_EMBEDDED>
)

if (DEFINED PROJECT_WC_REVISION)
    target_compile_definitions( ${PROJECT_NAME} PRIVATE
        REVISION=${PROJECT_WC_REVISION} )
endif()

install( TARGETS kmetronome
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )

install( FILES net.sourceforge.kmetronome.xml 
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/interfaces )

=== debian/changelog ===
kmetronome (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * d/control:
    + Bump Standards-Version to 4.6.0
    + Add pandoc to B-Ds
  * d/copyright:
    + Update years
    + Add files licensed under CC-BY-SA-4
    + Add net.sourceforge.kmetronome.appdata.xml and CC0
    + Add myself under the d/ section
  * Update readme filename in d/docs
  * Add lintian-overrides
  * Fix spelling errors

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Feb 2022 23:16:58 +0100

=== debian/control ===
Source: kmetronome
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Arnout Engelen <arnouten@bzzt.net>,
 Ross Gammon <rosco2@ubuntu.com>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 chrpath,
 cmake,
 debhelper-compat (= 13),
 qtbase5-dev,
 libqt5svg5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libasound2-dev,
 libdrumstick-dev (>= 2.0.0-1~),
 pandoc,
 pkg-config
Standards-Version: 4.6.0
Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
Rules-Requires-Root: no

Package: kmetronome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA MIDI Metronome
 KMetronome is a MIDI based metronome using the ALSA sequencer.
 .
 The intended audience are musicians and music students. Like the solid, real
 metronomes it is a tool to keep the rhythm while playing musical instruments.
 .
 It uses MIDI for sound generation instead of digital audio, allowing low CPU
 usage and very accurate timing thanks to the ALSA sequencer

## kmetronome 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Drumstick Metronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,13 +17,13 @@
 cmake_minimum_required(VERSION 3.14)
 
 project ( kmetronome
-    VERSION 1.3.0
+    VERSION 1.3.1
     LANGUAGES CXX
     DESCRIPTION "ALSA Sequencer based MIDI metronome"
     HOMEPAGE_URL "https://kmetronome.sourceforge.io"
 )
 
-set(PROJECT_RELEASE_DATE "December 12, 2021")
+set(PROJECT_RELEASE_DATE "August 10, 2021")
 option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
 option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
@@ -53,7 +53,7 @@
 
 find_package(Qt${QT_VERSION_MAJOR} 5.12 COMPONENTS Gui Widgets DBus Svg LinguistTools REQUIRED)
 if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    find_package(Qt6 COMPONENTS Core5Compat SvgWidgets REQUIRED)
+    find_package(Qt6SvgWidgets REQUIRED)
 endif()
 
 find_package(Drumstick 2.0 COMPONENTS ALSA REQUIRED)
@@ -106,7 +106,7 @@
     COMMAND cp -r icons kmetronome-${PROJECT_VERSION}
     COMMAND cp -r translations kmetronome-${PROJECT_VERSION}
     COMMAND cp -r src kmetronome-${PROJECT_VERSION}
-    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* lconvert.pri COPYING INSTALL kmetronome.{lsm,pro,spec,spec.in} net.sourceforge.kmetronome.{desktop,service.in,appdata.xml} NEWS readme.md TODO kmetronome-${PROJECT_VERSION}
+    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* lconvert.pri COPYING INSTALL kmetronome.{lsm,pro,spec,spec.in} net.sourceforge.kmetronome.{desktop,service.in,metainfo.xml} NEWS readme.md TODO kmetronome-${PROJECT_VERSION}
     COMMAND tar -cj -f kmetronome-${PROJECT_VERSION}.tar.bz2 kmetronome-${PROJECT_VERSION}
     COMMAND tar -cz -f kmetronome-${PROJECT_VERSION}.tar.gz kmetronome-${PROJECT_VERSION}
     COMMAND rm -rf kmetronome-${PROJECT_VERSION}
@@ -116,5 +116,5 @@
 install( FILES net.sourceforge.kmetronome.desktop
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications )
 
-install( FILES net.sourceforge.kmetronome.appdata.xml
+install( FILES net.sourceforge.kmetronome.metainfo.xml
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo )

=== data/CMakeLists.txt ===
install( FILES drums.ins samples.pat
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kmetronome )

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,8 +15,8 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
 set(MANPAGE ${PROJECT_NAME}.1)
-include(PandocMacros)
 if (BUILD_DOCS)
+    include(PandocMacros)
     if (UNIX AND NOT APPLE)
         add_manpage(${MANPAGE})
         install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE}

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -107,7 +107,6 @@
     target_link_libraries( kmetronome
         Qt6::Gui
         Qt6::SvgWidgets
-        Qt6::Core5Compat
      )
 endif()

=== debian/changelog ===
kmetronome (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Drop spelling patch applied by upstream
  * Bump Standards Version to 4.6.1
  * d/copyright: The metainfo file has been renamed
  * Bump d/copyright years
  * Refresh lintian-overrides
  * Add Salsa CI Config

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 02 Oct 2022 23:04:35 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libdrumstick-dev (>= 2.0.0-1~),
  pandoc,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome

## kmetronome 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,62 +1,53 @@
-# Drumstick Metronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#[===========================================================================[
+  Drumstick Metronome - ALSA Sequencer based MIDI metronome
+  Copyright (C) 2005-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
-cmake_minimum_required(VERSION 3.14)
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program. If not, see <http://www.gnu.org/licenses/>.
+#]===========================================================================]
+
+cmake_minimum_required(VERSION 3.16)
 
 project ( kmetronome
-    VERSION 1.3.1
+    VERSION 1.4.0
     LANGUAGES CXX
     DESCRIPTION "ALSA Sequencer based MIDI metronome"
     HOMEPAGE_URL "https://kmetronome.sourceforge.io"
 )
 
-set(PROJECT_RELEASE_DATE "August 10, 2021")
+set(PROJECT_RELEASE_DATE "December 24, 2023")
 option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
-option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
+option(USE_QT5 "Prefer building with Qt5 instead of Qt6")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
 include(SCMRevision)
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED Yes)
 
-if (USE_QT)
-    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
-        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
-    endif()
-endif()
-
-if (USE_QT EQUAL 5)
-    find_package(QT NAMES Qt5)
-elseif (USE_QT EQUAL 6)
-    find_package(QT NAMES Qt6)
+if (USE_QT5)
+    find_package(QT NAMES Qt5 REQUIRED)
+    find_package(Qt5 5.12 COMPONENTS Gui Widgets DBus Svg LinguistTools REQUIRED)
 else()
-    find_package(QT NAMES Qt5 Qt6)
+    find_package(QT NAMES Qt6 REQUIRED)
+    find_package(Qt6 6.2 COMPONENTS Gui Widgets DBus Svg SvgWidgets LinguistTools REQUIRED)
 endif()
 if(QT_FOUND)
     message(STATUS "Found Qt version: ${QT_VERSION}")
 endif()
 
-find_package(Qt${QT_VERSION_MAJOR} 5.12 COMPONENTS Gui Widgets DBus Svg LinguistTools REQUIRED)
-if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    find_package(Qt6SvgWidgets REQUIRED)
-endif()
-
-find_package(Drumstick 2.0 COMPONENTS ALSA REQUIRED)
+find_package(Drumstick 2.9 COMPONENTS ALSA REQUIRED)
 if(Drumstick_FOUND)
     message(STATUS "Found Drumstick version: ${Drumstick_VERSION}")
 endif()

=== doc/CMakeLists.txt ===
#[===========================================================================[
  Drumstick Metronome - ALSA Sequencer based MIDI metronome
  Copyright (C) 2005-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program. If not, see <http://www.gnu.org/licenses/>.
#]===========================================================================]

set(MANPAGE ${PROJECT_NAME}.1)
if (BUILD_DOCS)
    include(PandocMacros)
    if (UNIX AND NOT APPLE)
        add_manpage(${MANPAGE})
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE}
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    endif()
    update_helpfiles(cs de en es fr tr)
else()
    if (UNIX AND NOT APPLE)
        install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${MANPAGE}
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    endif()
    foreach(_lang IN ITEMS cs de en es fr tr)
        install( FILES "${_lang}/index.html"
                 DESTINATION ${CMAKE_INSTALL_DOCDIR}/${PROJECT_NAME}/${_lang} )
    endforeach()
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,20 @@
-# KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#[===========================================================================[
+  Drumstick Metronome - ALSA Sequencer based MIDI metronome
+  Copyright (C) 2005-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program. If not, see <http://www.gnu.org/licenses/>.
+#]===========================================================================]
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -123,5 +125,5 @@
 install( TARGETS kmetronome
          RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )
 
-install( FILES net.sourceforge.kmetronome.xml 
+install( FILES net.sourceforge.kmetronome.xml
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/interfaces )

=== debian/changelog ===
kmetronome (1.4.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:29 +1100

kmetronome (1.4.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:53:17 +0000

kmetronome (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Build with Qt6
  * Bump Standards-Version to 4.6.2
  * Make the build depend on libdrumstick-dev >= 2.9.0-1~
  * Refresh lintian-overrides
  * Apply wrap-and-sort -ast
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sun, 14 Jan 2024 19:48:55 +0100

=== debian/control ===
Source: kmetronome
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Arnout Engelen <arnouten@bzzt.net>,
 Ross Gammon <rosco2@ubuntu.com>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 chrpath,
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 libdrumstick-dev (>= 2.9.0-1~),
 libqt6core5compat6-dev [ia64],
 libqt6svg6-dev,
 pandoc,
 pkg-config,
 qt6-5compat-dev [!ia64],
 qt6-base-dev,
 qt6-tools-dev,
Standards-Version: 4.6.2
Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
Rules-Requires-Root: no

Package: kmetronome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ALSA MIDI Metronome
 KMetronome is a MIDI based metronome using the ALSA sequencer.
 .
 The intended audience are musicians and music students. Like the solid, real
 metronomes it is a tool to keep the rhythm while playing musical instruments.
 .
 It uses MIDI for sound generation instead of digital audio, allowing low CPU
 usage and very accurate timing thanks to the ALSA sequencer

## kmetronome 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[===========================================================================[
   Drumstick Metronome - ALSA Sequencer based MIDI metronome
-  Copyright (C) 2005-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+  Copyright (C) 2005-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
@@ -19,13 +19,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project ( kmetronome
-    VERSION 1.4.0
+    VERSION 1.4.1
     LANGUAGES CXX
     DESCRIPTION "ALSA Sequencer based MIDI metronome"
     HOMEPAGE_URL "https://kmetronome.sourceforge.io"
 )
 
-set(PROJECT_RELEASE_DATE "December 24, 2023")
+#set(PROJECT_RELEASE_DATE "December 24, 2023")
 option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
 option(USE_QT5 "Prefer building with Qt5 instead of Qt6")
@@ -47,7 +47,7 @@
     message(STATUS "Found Qt version: ${QT_VERSION}")
 endif()
 
-find_package(Drumstick 2.9 COMPONENTS ALSA REQUIRED)
+find_package(Drumstick 2.10 COMPONENTS ALSA REQUIRED)
 if(Drumstick_FOUND)
     message(STATUS "Found Drumstick version: ${Drumstick_VERSION}")
 endif()

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[===========================================================================[
   Drumstick Metronome - ALSA Sequencer based MIDI metronome
-  Copyright (C) 2005-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+  Copyright (C) 2005-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by

=== icons/CMakeLists.txt ===
foreach(S IN ITEMS 48 64 128 256 512)
    install (FILES kmetronome_${S}.png
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${S}x${S}/apps
             RENAME kmetronome.png)
endforeach()

install ( FILES kmetronome.svgz
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps )

=== debian/changelog ===
kmetronome (1.4.1-3) unstable; urgency=low

  * Remove obsolete lintian-overrides
  * d/copyright: Update GPL-2 license text

 -- Dennis Braun <snd@debian.org>  Sun, 04 May 2025 12:02:07 +0200

kmetronome (1.4.1-2) unstable; urgency=medium

  * Make the build reproducible, thanks to lamby (Closes: #1092251)
  * Bump Standards-Version to 4.7.2

 -- Dennis Braun <snd@debian.org>  Sun, 04 May 2025 09:40:05 +0200

kmetronome (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Change B-D from pkg-config to pkgconf
  * Build-Depends on libdrumstick-dev >= 2.10.0-1~
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Wed, 01 Jan 2025 23:15:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kmetronome
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Arnout Engelen <arnouten@bzzt.net>,
@@ -13,15 +12,15 @@
  cmake,
  debhelper-compat (= 13),
  libasound2-dev,
- libdrumstick-dev (>= 2.9.0-1~),
+ libdrumstick-dev (>= 2.10.0-1~),
  libqt6core5compat6-dev [ia64],
  libqt6svg6-dev,
  pandoc,
- pkg-config,
+ pkgconf,
  qt6-5compat-dev [!ia64],
  qt6-base-dev,
  qt6-tools-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PROJECT_RELEASE_DATE=$(shell LC_ALL=C date --utc --date=@$(SOURCE_DATE_EPOCH) +'%B %d, %Y')
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DPROJECT_RELEASE_DATE=$(PROJECT_RELEASE_DATE)

=== debian/watch ===
version=4
https://sf.net/kmetronome/kmetronome-(.*)\.tar\.gz
